Bug 808863

Summary: nfs-server.service should start after named.service (systemd)
Product: [Fedora] Fedora Reporter: Rolf Fokkens <rolf>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 16CC: bfields, jlayton, steved
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-08 11:11:45 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Rolf Fokkens 2012-04-01 06:57:12 EDT
Description of problem: Sometimes during boot nfsd fails to do DNS lookups of hosts specified in /etc/exports/. This results in failing client connections.


Version-Release number of selected component (if applicable):
nfs-utils-1.2.5-5.fc16.x86_64

How reproducible:
50%?

Steps to Reproduce:
1. reboot your NFS/DNS server
2. Access NFS directories from one of your NFS clients
3. Notice access problems
  
Actual results:
STALE NFS handles, write access failure (depending on exports contents)

Expected results:
NFS access as before.

Additional info:
This will probably be solved in the 1.2.6 RPM:
http://lists.fedoraproject.org/pipermail/scm-commits/2011-October/666919.html
But why wait?
Comment 1 Steve Dickson 2012-05-15 15:01:48 EDT
That patch was backported.... 

    After=network.target named.service rpcbind.service proc-fs-nfsd.mount var-lib-nfs-rpc_pipefs.mount

Try added the  named.service to the Requires= line to see if that helps